# WARNING: This package is synced with FC
# header-only library
%global debug_package %{nil}

%global apiversion 3.0

Name:		mdds
Version:	3.0.0
Release:	%mkrel 1
Summary:	A collection of multi-dimensional data structures and indexing algorithms

Group:		Development/C
License:	MIT
URL:		https://gitlab.com/mdds/mdds
Source0:	https://gitlab.com/mdds/mdds/-/archive/%{version}/mdds-%{version}.tar.bz2
# https://gitlab.com/mdds/mdds/-/merge_requests/94
Patch0:	 include.patch

BuildRequires: boost-devel
BuildRequires: gcc-c++
BuildRequires: autoconf
BuildRequires: automake
# (tv) thus fixing configure not finding /usr/lib64/libgomp.spec
BuildRequires: libgomp-devel
# (tv) this package won't pass mga BS if noarch tag is not on the main pkg even
# though no such package will ever be generated:
BuildArch: noarch

%description
%{name} is a collection of multi-dimensional data structures and
indexing algorithms.
 
%package devel
Group: Development/C
Summary: Headers for %{name}
BuildArch: noarch
Requires: boost-devel
Provides: %{name}-static = %{version}-%{release}

%description devel
%{name} is a collection of multi-dimensional data structures and
indexing algorithms.

It implements the following data structures:
* segment tree
* flat segment tree 
* rectangle set
* point quad tree
* multi type matrix
* multi type vector

See README.md for a brief description of the structures.

%prep
%autosetup -p0

%build
./autogen.sh
%configure

%install
%make_install
rm -rf %{buildroot}%{_docdir}/%{name}

%check
%make_build check

%files devel
%{_includedir}/%{name}-%{apiversion}
%{_datadir}/pkgconfig/%{name}-%{apiversion}.pc
%doc AUTHORS README.md
%license LICENSE


%changelog
* Fri Mar 07 2025 tv <tv> 3.0.0-1.mga10
+ Revision: 2161769
- 3.0.0

* Mon Sep 11 2023 tv <tv> 2.1.1-1.mga10
+ Revision: 1986318
- 2.1.1

* Tue May 24 2022 tv <tv> 2.0.3-1.mga9
+ Revision: 1860024
- 2.0.3
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 2.0.2-1.mga9
+ Revision: 1778076
- 2.0.2

* Fri Feb 04 2022 tv <tv> 2.0.1-1.mga9
+ Revision: 1771405
- new upstream release needed for libreoffice 7.3

* Thu Sep 09 2021 wally <wally> 1.7.0-2.mga9
+ Revision: 1744621
- rebuild for boost 1.77.0

* Thu Sep 24 2020 tv <tv> 1.7.0-1.mga8
+ Revision: 1629897
- fix configure not finding libgomp.spec
- make it noarch
- 1.7.0

* Sat Feb 15 2020 umeabot <umeabot> 1.5.0-2.mga8
+ Revision: 1528664
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 26 2019 tv <tv> 1.5.0-1.mga8
+ Revision: 1432307
- new release

* Wed Oct 31 2018 tv <tv> 1.4.3-1.mga7
+ Revision: 1327010
- new release

* Thu Sep 20 2018 tv <tv> 1.4.2-1.mga7
+ Revision: 1279618
- 1.4.2

* Thu Sep 20 2018 umeabot <umeabot> 1.4.1-2.mga7
+ Revision: 1279500
- Mageia 7 Mass Rebuild

* Wed Aug 29 2018 tv <tv> 1.4.1-1.mga7
+ Revision: 1255455
- new release
- remove old temp cauldron obsoletes

* Tue Jan 23 2018 tv <tv> 1.3.0-1.mga7
+ Revision: 1196616
- new release
- explain the fix

* Mon Sep 19 2016 tv <tv> 1.2.2-3.mga6
+ Revision: 1054510
- try making main pkg noarch
- new version

* Fri Aug 12 2016 luigiwalser <luigiwalser> 1.1.0-2.mga6
+ Revision: 1046103
- add patch from fedora to fix tdf#90579

* Wed Mar 02 2016 tv <tv> 1.1.0-1.mga6
+ Revision: 983086
- new release
- resync with FC

* Fri Dec 25 2015 tv <tv> 0.12.1-3.mga6
+ Revision: 914718
- rebuild for new boost 1.60

* Wed Aug 26 2015 tv <tv> 0.12.1-2.mga6
+ Revision: 869864
- rebuild with gcc5

* Sat Jun 27 2015 tv <tv> 0.12.1-1.mga6
+ Revision: 846009
- new release

* Sun Feb 01 2015 tv <tv> 0.11.2-2.mga5
+ Revision: 812979
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.11.2-1.mga5
+ Revision: 812798
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.10.3-3.mga5
+ Revision: 748194
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.3-2.mga5
+ Revision: 682323
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 0.10.3-1.mga5
+ Revision: 638300
- New version: 0.10.3

* Sat Feb 15 2014 tv <tv> 0.10.2-1.mga5
+ Revision: 591702
- new release

* Wed Feb 05 2014 tv <tv> 0.10.1-1.mga5
+ Revision: 583624
- new release

* Sat Oct 19 2013 umeabot <umeabot> 0.8.1-6.mga4
+ Revision: 529533
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 0.8.1-5.mga4
+ Revision: 452381
- rebuild for new boost

* Sat Jun 08 2013 tv <tv> 0.8.1-4.mga4
+ Revision: 440631
- get rid of mdds0.6 SRPM too

* Fri Jun 07 2013 tv <tv> 0.8.1-3.mga4
+ Revision: 440248
- obsolete temporay mdds0.6-devel package

* Sat May 25 2013 tv <tv> 0.8.1-2.mga4
+ Revision: 426982
- package pkg-config file (needed by LO)

* Fri May 24 2013 tv <tv> 0.8.1-1.mga4
+ Revision: 426848
- new release

* Wed Apr 10 2013 malo <malo> 0.6.1-3.mga3
+ Revision: 409470
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 359882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 tv <tv> 0.6.1-1.mga3
+ Revision: 331931
- fix group
- fix group
- new version
- update description
- clean up

* Mon Jul 04 2011 kharec <kharec> 0.5.2-1.mga2
+ Revision: 118121
- new version
- use %%configure2_5x

* Sun Jan 23 2011 dmorgan <dmorgan> 0.5.1-1.mga1
+ Revision: 35441
- Adapt to mageia
- imported package mdds

